Перейти до вмісту

Secondary Progressions

POST
/api/v1/progressions

Calculate secondary progressed chart (day-for-a-year) for a target date. Returns progressed planets, angles, and aspects to natal.

object
Example
{
"date": "1990-05-15",
"time": "14:30:00",
"timezoneOffset": 3,
"latitude": 50.45,
"longitude": 30.52,
"targetDate": "2024-06-15",
"targetTime": "12:00:00",
"targetTzOffset": 3
}

Successful calculation

object
ok
boolean
Example
true
data
object

Validation error

Example
{
"ok": false,
"error": {
"code": "INVALID_INPUT",
"message": "Validation failed: date: Date must be YYYY-MM-DD",
"details": [
{
"path": "date",
"message": "Date must be YYYY-MM-DD"
}
]
}
}

Missing or invalid API key

Example
{
"ok": false,
"error": {
"code": "INVALID_API_KEY",
"message": "Invalid API key"
}
}